/**********************************************************************/
/* FILENAME:         gct.h                                            */
/* ORIGINATION DATE: 12/24/04                                         */
/* ORIGINATOR:       M Roth                                           */
/* MODULE:           contacts                                         */
/* LICENSE:          gpl (www.gnu.org/copyleft/gpl.html)              */
/**********************************************************************/
/* GIM Copyright (C)2004, 2005                                        */
/*   Darrin Smith - darrin[at]dbcservices[dot]com                     */
/*   Mark Roth - GIM[dot]mroth[at]gmail[dot]com                       */
/*   And others.                                                      */
/* GIDForums is a registered trademark                               */
/*                                                                    */
/* Find GIM at (put savannah site here)                               */
/* Discuss GIM at GIDForums[dot]com                                   */
/* Contact GIM at GIMmailer[at]gmail[dot]com                          */
/*                                                                    */
/**********************************************************************/
/*               This file is part of GIM.                            */
/* gct.h is free software. You can redistribute it and/or modify      */
/* it under the terms of the GNU General Public License as published  */
/* by the Free Software Foundation, either version 2 of the License,  */
/* or (at your option) any later version.                             */
/* gct.h is distributed in the hope that it will be useful,           */
/* but WITHOUT ANY WARRANTY' without even the implied warranty of     */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the      */
/* GNU General Public License for more details.                       */
/*                                                                    */
/* You should have received a copy of the GNU General Public License  */
/* along with gct.h. If not, write to :                               */
/*       the Free Software Foundation, Inc.                           */
/*       59 Temple Place                                              */
/*       Suite 330                                                    */
/*       Boston, MA  02111-1307  USA                                  */
/*                                                                    */
/*  Licence in distribution, COPYING.txt                              */
/*                                                                    */
/**********************************************************************/
/* DESCRIPTION:                                                       */
/* This is the header containing enumerations used by the text        */
/* formatting functions in GIMcontacts.                               */
/**********************************************************************/
/**********************************************************************/
// Header for gct.h which is the text formatting for GIMcontacts

enum filter{ nobufin_clean = 0, yes_no, yes_no_cancel,letter_only,
              number_only, punct_only, printable_only, space_remove,
              lspace_remove, bspace_remove, escape_remove, upper_all,
              lower_all, upper_first, url_clean, phone_good, tab_remove,
              size_only, upper_firsts, tspace_remove };


char* clean_input (char *cbuffer, const short int filter, const short int out_length );
