/**********************************************************************/
/**********************************************************************/
/* The GIM project                                                    */
/**********************************************************************/
/* FILENAME:         gim.c                                            */
/* ORIGINATION DATE: 11/17/04                                         */
/* ORIGINATOR:       D Smith                                          */
/* MODULE:           none                                             */
/* LICENSE:          gpl (www.gnu.org/copyleft/gpl.html)              */
/**********************************************************************/
/* GIM Copyright (C)2004, 2005                                        */
/*   Darrin Smith - darrin[at]dbcservices[dot]com                     */
/*   Mark Roth - GIM[dot]mroth[at]gmail[dot]com                       */
/*   And others.                                                      */
/* GIDForums is a registered trademark                               */
/*                                                                    */
/* Find GIM at (put savannah site here)                               */
/* Discuss GIM at GIDForums[dot]com                                   */
/* Contact GIM at GIMmailer[at]gmail[dot]com                          */
/*                                                                    */
/**********************************************************************/
/*               This file is part of GIM.                            */
/* gim.c is free software. You can redistribute it and/or modify      */
/* it under the terms of the GNU General Public License as published  */
/* by the Free Software Foundation, either version 2 of the License,  */
/* or (at your option) any later version.                             */
/* gim.c is distributed in the hope that it will be useful,           */
/* but WITHOUT ANY WARRANTY' without even the implied warranty of     */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the      */
/* GNU General Public License for more details.                       */
/*                                                                    */
/* You should have received a copy of the GNU General Public License  */
/* along with gim.c. If not, write to :                               */
/*       the Free Software Foundation, Inc.                           */
/*       59 Temple Place                                              */
/*       Suite 330                                                    */
/*       Boston, MA  02111-1307  USA                                  */
/*                                                                    */
/*  Licence in distribution, COPYING.txt                              */
/*                                                                    */
/**********************************************************************/
/* DESCRIPTION:                                                       */
/* This is the header code file.                                      */
/* The error array gives strings for return value                     */
/* The type array gives strings for contact types                     */
/**********************************************************************/
/**********************************************************************/
char* gid_error[]=
{
	"Okay",
	"Could not connect to database.",
	"Invalid username/password combination",
	"General data error",
	"Invalid filename",
	"Memory Allocation Error",
	"Memory Free Error",
	"List is Empty",
	"Invalid Data File",
	"Incorrect Version"
};

/* They type array gives strings for the corresponding ct_type */
char* type_array[]={
	"ALL",
	"PERSONAL",
	"BUSINESS",
	"OTHER"
};
